/*====================================================================
*Table 4
====================================================================*/


/*====================================================================
                             2020
====================================================================*/

*Table Statistics 2020  [Table 4]


putexcel set "$output\results.xlsx", sheet("table back") modify
tab  mujer dependiente [w=fac_per] , cell matcell(frequency)

matrix S=frequency
putexcel C3=matrix(S)


preserve 

/*====================================================================
                             2017
====================================================================*/

*clean data 2017

do "$dofile\cleaning_data_2017.do"


putexcel set "$output\results.xlsx", sheet("figure 3 back") modify


*Women

mlogit  dependiente age_20_24  age_25_29 age_30_34 age_35_39 age_40_44 age_45_49 edu_2 edu_3 edu_4    ses_low ses_mlow ses_hlow partner_married hkids_under_2   hkids_3_6  hkids_7_15 zone elderly  [w=fac_per] if mujer==1, base(1)   nolog

mchange, amount(sd) brief width(8)

matrix K=r(table)
putexcel C3=matrix(K)


*Men

mlogit  dependiente age_20_24  age_25_29 age_30_34 age_35_39 age_40_44 age_45_49 edu_2 edu_3 edu_4  ses_low ses_mlow ses_hlow partner_married hkids_under_2   hkids_3_6  hkids_7_15 zone elderly   [w=fac_per] if mujer==0, base(1) nolog

mchange, amount(sd) brief width(8)

matrix L=r(table)
putexcel K3=matrix(L)


*Table Statistics 2017  [Table 4]

putexcel set "$output\results.xlsx", sheet("table back") modify


tab  mujer dependiente [w=fac_per] , cell matcell(frequency)

matrix O=frequency
putexcel C9=matrix(O)


/*====================================================================
                             2018
====================================================================*/

*clean data 2018

do "$dofile\cleaning_data_2018.do"

putexcel set "$output\results.xlsx", sheet("figure 3 back") modify


*Women
mlogit  dependiente age_20_24  age_25_29 age_30_34 age_35_39 age_40_44 age_45_49 edu_2 edu_3 edu_4    ses_low ses_mlow ses_hlow partner_married hkids_under_2   hkids_3_6  hkids_7_15 zone elderly  [w=fac_per] if mujer==1, base(1)   nolog

mchange, amount(sd) brief width(8)

matrix M=r(table)
putexcel S3=matrix(M)


*Men

mlogit  dependiente age_20_24  age_25_29 age_30_34 age_35_39 age_40_44 age_45_49 edu_2 edu_3 edu_4  ses_low ses_mlow ses_hlow partner_married hkids_under_2   hkids_3_6  hkids_7_15 zone elderly   [w=fac_per] if mujer==0, base(1) nolog

mchange, amount(sd) brief width(8)

matrix N=r(table)
putexcel AA3=matrix(N)


*Table Statistics 2018  [Table 4]

putexcel set "$output\results.xlsx", sheet("table back") modify

tab  mujer dependiente [w=fac_per] , cell matcell(frequency)

matrix Q=frequency
putexcel C15=matrix(Q)

restore 

